Skip to content

Update product

PUT
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/products/{product_id}

Update product information.

product_id
required
Product Id
string format: uuid
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string
ProductUpdate

Update product schema — all fields optional for partial updates.

object
name
Any of:
string
>= 1 characters <= 500 characters
description
Any of:
string
sku
Any of:
string
<= 200 characters
item_type
Any of:
ItemType

Item type enumeration.

string
Allowed values: good service
hsn_code
Any of:
string
<= 100 characters
product_category
Any of:
string
<= 255 characters
isic_code
Any of:
integer
service_category
Any of:
string
<= 255 characters
default_unit_code
Any of:
string
<= 10 characters
default_unit_price
Any of:
number
default_tax_category_code
Any of:
string
<= 64 characters
default_tax_rate
Any of:
number
<= 100
is_active
Any of:
boolean
Examples

Request payload example

{
"name": "string",
"description": "string",
"sku": "string",
"item_type": "good"
}

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}